=================
Further NICOS API
=================

.. module:: nicos.core

Most API elements described here are used when writing new device classes.  They
are defined in submodules of :mod:`nicos.core`, but re-exported in
:mod:`nicos.core` for easier importing.

.. toctree::
   :maxdepth: 1

   exceptions
   parameters
   status
   utilities
   usercommands
